## kde-workspace 4.11.2

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)
# set_package_properties appeared in cmake 2.8.6
# TODO: Remove when kdelibs >= 4.10 will be required
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 11)
set(KDE4WORKSPACE_VERSION_PATCH 2)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

#search packages used by KDE
set(QT_MIN_VERSION "4.8.0")

find_package(KDE4 4.9.4 REQUIRED)
include(KDE4Defaults)

option(WITH_XINERAMA "Xinerama support for multi-headed X displays" ON)

find_package(Strigi)

set_package_properties(Strigi PROPERTIES DESCRIPTION "Desktop indexing and search support"
                       URL "http://strigi.sourceforge.net"
                       TYPE REQUIRED
                      )

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(KActivities 6.0.0 CONFIG)
set_package_properties(KActivities PROPERTIES DESCRIPTION "Interface library for the activity manager"
                       URL "https://projects.kde.org/kactivities"
                       TYPE REQUIRED
                      )

find_package(DBusMenuQt 0.6.0)
set_package_properties(DBusMenuQt PROPERTIES DESCRIPTION "Support for notification area menus via the DBusMenu protocol"
                       URL "https://launchpad.net/libdbusmenu-qt"
                       TYPE REQUIRED
                      )

find_package(QImageBlitz)
set_package_properties(QImageBlitz PROPERTIES DESCRIPTION "An image effects library"
                       URL "http://sourceforge.net/projects/qimageblitz"
                       TYPE REQUIRED
                      )

find_package(KDeclarative QUIET CONFIG)
set_package_properties(KDeclarative PROPERTIES DESCRIPTION "KDE Declarative (QML) support from kdelibs"
                       URL "http://www.kde.org"
                       TYPE REQUIRED
                       PURPOSE "Required for building ksmserver"
                      )

macro_optional_find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "http://www.opengl.org"
                       TYPE OPTIONAL
                      )
macro_optional_find_package(OpenGLES)
set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                       URL "http://www.khronos.org/opengles"
                       TYPE OPTIONAL
                      )
macro_optional_find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "The UDev Libraries"
                       TYPE OPTIONAL
                       PURPOSE "Allows support for UPower backend in PowerDevil - STRONGLY RECOMMENDED"
                      )

macro_optional_find_package(Wayland)
set_package_properties(Wayland PROPERTIES DESCRIPTION "The Wayland Client and Server libraries"
                       URL "http://wayland.freedesktop.org"
                       TYPE OPTIONAL
                       PURPOSE "Required for building KWin with Wayland support"
                      )
if(Q_WS_X11)
  find_package(XCB REQUIRED)
  set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                         URL "http://xcb.freedesktop.org"
                         TYPE REQUIRED
                        )

  find_package(X11_XCB)
  set_package_properties(X11_XCB PROPERTIES DESCRIPTION "XCB X11 protocol client library"
                         TYPE REQUIRED
                        )

  find_package(X11 REQUIRED)
  set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                         URL "http://www.x.org"
                         TYPE REQUIRED
                        )

  add_feature_info("Automated testing of X clients" X11_XTest_FOUND
                   "The X11 Testing Resource extension library is useful for automated testing of X clients")
  add_feature_info("libXau" X11_Xau_FOUND "The X11 Authorization Protocol library may be used by KDM")
  add_feature_info("LibXdmcp" X11_Xdmcp_FOUND "The X Display Manager Control Protocol library may be used by KDM")
  if(NOT X11_Xkbfile_FOUND)
    message(FATAL_ERROR "The X11 keyboard layout library was not found. Required for building keyboard modules.")
  endif()
  if(NOT X11_Xcomposite_FOUND)
    message(FATAL_ERROR "The X11 composite library was not found. Required for building the plasma tray and notifications widgets.")
  endif()
  if(NOT X11_Xdamage_FOUND)
    message(FATAL_ERROR "The X11 damaged region extension library was not found. Required for compositing support in KWin.")
  endif()
  if(NOT X11_Xrender_FOUND)
    message(FATAL_ERROR " The X Rendering Extension client library was not found. Required for XRender Compositing backend in KWin.")
  endif()
  if(NOT X11_Xfixes_FOUND)
    message(FATAL_ERROR "The X11 miscellaneous 'fixes' extension library was not found. Required for XRender Compositing backend in KWin.")
  endif()
  if(NOT X11_Xrandr_FOUND)
    message(FATAL_ERROR "The X11 RandR extension library was not found. Required for Multi Screen Support.")
  endif()
  if(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
    message(FATAL_ERROR "Either OpenGL or OpenGL ES 2.0 are required for Compositing support in KWin.")
  endif()
  if(NOT X11_Xcursor_FOUND)
    message(FATAL_ERROR "The X11 cursor management library was not found. Required for desktop effects support in KWin.")
  endif()
endif(Q_WS_X11)

macro_optional_find_package(GLIB2 2.0)
set_package_properties(GLIB2 PROPERTIES DESCRIPTION "Low-level core library for data structure handling, portability wrappers, etc."
                       URL "http://www.gtk.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine"
                      )

macro_optional_find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

#### Python support ( plasma scriptengines ) ####
macro_optional_find_package(PythonLibrary)
set_package_properties(PythonLibrary PROPERTIES DESCRIPTION "Python scripting language"
                       URL "http://python.org"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build plasma scriptengine for python."
                      )

macro_optional_find_package(Soprano 2.7.56)
set_package_properties(Soprano PROPERTIES DESCRIPTION "Semantic Desktop Storing"
                       URL "http://soprano.sourceforge.net"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Nepomuk features."
                      )

macro_optional_find_package(NepomukCore QUIET CONFIG)
set_package_properties(NepomukCore PROPERTIES DESCRIPTION "Nepomuk Core Library"
                       URL "https://projects.kde.org/nepomuk-core"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Nepomuk features."
                      )

macro_optional_find_package(Boost 1.34.0 MODULE)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries"
                       URL "http://www.boost.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, RSS, Calendar)"
                      )

macro_optional_find_package(Akonadi QUIET CONFIG)
set_package_properties(Akonadi PROPERTIES DESCRIPTION "An extensible cross-desktop storage service for PIM data"
                       URL "http://pim.kde.org/akonadi"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, Calendar)"
                      )

macro_optional_find_package(KdepimLibs 4.10.68 QUIET CONFIG)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries"
                       URL "http://pim.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build certain Plasma DataEngines (Akonadi, Calendar)"
                      )

macro_optional_find_package(QJSON)
set_package_properties(QJSON PROPERTIES DESCRIPTION "Library to manage JSON objects with Qt"
                       URL "http://qjson.sourceforge.net/"
                       TYPE OPTIONAL
                       PURPOSE "Required to build Chrome/Chromium support for Plasma Bookmarks Runners"
                      )


include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/libs)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory( systemsettings )
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

# core apps
if(NOT WIN32)
   macro_optional_add_subdirectory( kcheckpass )
   macro_optional_add_subdirectory( kwin )
   macro_optional_add_subdirectory( ksmserver )

   find_package(JPEG REQUIRED)
   find_package(PNG REQUIRED)
   macro_optional_add_subdirectory( ksplash )

   macro_optional_add_subdirectory( powerdevil )
   macro_optional_add_subdirectory( qguiplatformplugin_kde )
   if (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
      macro_optional_add_subdirectory( ksysguard )
   endif (NOT CMAKE_SYSTEM_NAME MATCHES Darwin)
endif(NOT WIN32)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory(kcontrol)
   macro_optional_add_subdirectory(klipper)
   macro_optional_add_subdirectory(kmenuedit)
   macro_optional_add_subdirectory(krunner)
   macro_optional_add_subdirectory(solid-actions-kcm)
   macro_optional_add_subdirectory(kstartupconfig)
   macro_optional_add_subdirectory(freespacenotifier)
   macro_optional_add_subdirectory(kscreensaver)

   # data
   macro_optional_add_subdirectory(doc)

   if (Q_WS_X11)
      macro_optional_add_subdirectory(kinfocenter)
      macro_optional_add_subdirectory(ktouchpadenabler)
   endif (Q_WS_X11)

   if(NOT WIN32)
      macro_optional_add_subdirectory(kcminit)
      macro_optional_add_subdirectory(khotkeys)
      macro_optional_add_subdirectory(kwrited)
      macro_optional_add_subdirectory(ksystraycmd)
      macro_optional_add_subdirectory(appmenu)
   endif(NOT WIN32)

   if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      macro_optional_add_subdirectory( kdm )
   else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")

=== debian/changelog ===
kde-workspace (4:4.11.2-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream bugfix release
  * Remove upstreamed patches upstream_sal_reload_menu_on_config_change.diff,
    upstream_sal_restore_favourites_model_on_config_change.diff,
    kubuntu_app_icon.diff

  [ Rohan Garg ]
  * Bump ABI version on libkwinglutils and libkwinactiveglutils
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:07:02 +0100

kde-workspace (4:4.11.1-0ubuntu5) saucy; urgency=low

  * Add kubuntu_avoid_zic_and_deep_copy_timezone_data.diff
    It does not use zic when available as zic is broken. Also adds symlink
    handling, when a tz file is a symlink, it gets the link target and
    copies that instead. This prevents broken symlinks. (LP: #1206199)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 26 Sep 2013 16:09:27 +0200

kde-workspace (4:4.11.1-0ubuntu4) saucy; urgency=low

  * Replace kubuntu_sal_reload_config.diff (not applied actually) with
    upstream_sal_reload_menu_on_config_change.diff and add
    upstream_sal_restore_favourites_model_on_config_change.diff (LP: #1195255)
  * Demote plasma-scriptengines from recommends to suggests of
    plasma-scriptengines (delta was dropped by accident). 

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 25 Sep 2013 11:36:33 +0200

kde-workspace (4:4.11.1-0ubuntu3) saucy; urgency=low

  * kde-workspace depends on kde-window-manager | kde-window-manager-active

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Sep 2013 15:48:15 +0100

kde-workspace (4:4.11.1-0ubuntu2) saucy; urgency=low

  * Add kubuntu_app_icon.diff from upstream, fix
    https://bugs.kde.org/324574 Application specific icon now doesn't
    work

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Sep 2013 13:28:19 +0100

kde-workspace (4:4.11.1-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream bugfix release.

  [ Rohan Garg ]
  * Drop kubuntu_plasma_desktop_startup.diff, applied upstream
  * libtaskmanager4abi4 -> libtaskmanager4abi5
  * Update symbols

  [ Jonathan Riddell ]
  * Add kubuntu_sal_reload_config.diff from upstream
    http://commits.kde.org/kde-workspace/8dcf62cdeb5ae73e5d60688295a868756a6416f4
    reload menu entries on config changed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 06 Sep 2013 23:07:54 +0100

kde-workspace (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release
  * Remove libkwinnvidiahack4 and libkwinactivenvidiahack4
    packages since it's removed in upstream
  * Add new files into plasma-desktop.install
  * Update libkwineffects1abi4.symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:07:33 +0100

kde-workspace (4:4.10.97-0ubuntu2) saucy; urgency=low

  * Add kubuntu_plasma_desktop_startup.diff
    revert commit 83d301880e78a3aa43e0aedd8f40abb2a506f1ff
    fixes https://bugs.kde.org/321695 plasma statup delay
  * kde-workspace-dev now depends on libx11-xcb-dev due to changes in kwin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 01 Aug 2013 11:48:09 +0100

kde-workspace (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:15:31 +0100

kde-workspace (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Harald Sitter ]
  * Remove kubuntu_startkde_set_country.diff
    KLocale now correctly tries to read the configuration values and if that
    fails will fall back to parse the system locale (as detected by
    QLocale::system() which in turn - at least for the country - primarily
    follows LC_NUMERIC)

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new symbol for libkwinglutils1abi2

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:22 +0000

kde-workspace (4:4.10.90-0ubuntu2) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Add new doc picture to plasma-desktop.install
  * Drop arm-build-fixes-4-11-edition, applied upstream
  * Update symobl files
  * Bump X-Debian-ABI of libtaskmanager to 4 and rename package and files. 

  [ Jonathan Riddell ]
  * kde-window-manager suggests weston, advised by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jun 2013 18:06:09 +0100

kde-workspace (4:4.10.80-0ubuntu4) saucy; urgency=low

  * Add debian/patches/arm-build-fixes-4-11-edition to fix FTBFS on armhf
  * Fix bad Replaces for libkwinnvidiahack4 caused by merge artifacts

 -- Scott Kitterman <scott@kitterman.com>  Wed, 26 Jun 2013 02:43:43 -0400

kde-workspace (4:4.10.80-0ubuntu3) saucy; urgency=low

  * Make kde-workspace-bin depend on kde-base-artwork

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jun 2013 14:23:19 +0100

kde-workspace (4:4.10.80-0ubuntu2) saucy; urgency=low

  * kde-workspace-bin breaks/replaces kde-window-manager-common << 4:4.10.80 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Jun 2013 14:12:20 +0200

kde-workspace (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Refresh patches:
     - enable_debianabimanager.diff
     - kubuntu_dont_list_kde-default_wallpaper.patch
     - kubuntu_kdewallpapers_install.diff
  * Drop kubuntu_fix_screenshot_compile.diff, obsolete as kwin uses XCB now
  * Drop kubuntu_revert_285553e.diff as it doesn't apply and shouldn't be
    used anymore as long as the brightness flicker issue doesn't appear again. 
  * Update symbol files
  * Bump Debian-ABI of libkwin(active)glutils1abi1 to 2
  * Bump Breaks/Replaces for the 4.10.3 debian merge to << 4:4.10.80 to catch
    upgrades.

  [ Howard Chan ]
  * Enable libxcb1-dev and libxcb-xtest0-dev as build-dependencies as
    the build doesn't work without it.
  * Enable libwayland-dev, udev, libxcb-icccm4-dev and
    libxcb-keysyms1-dev to enable build
  * Fix typo in libgles2-mes-dev build-dep

  [ Jonathan Riddell ]
  * Update .install files


=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>, 
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.2), libkactivities-dev (>= 4:4.11.2),
 nepomuk-core-dev (>= 4:4.11.2),
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
 libqimageblitz-dev (>= 1:0.0.4-2),
 zlib1g-dev,
 libdbusmenu-qt-dev (>= 0.6.0),
 libfontconfig-dev,
 libglu1-mesa-dev, libqt4-opengl-dev,
 python-dev (>= 2.6.6-3~),
 shared-desktop-ontologies (>= 0.8),
 libpam0g-dev,
 libnm-util-dev (>= 0.9) [linux-any],
 network-manager-dev (>= 0.9) [linux-any],
 libraw1394-dev [linux-any],
 libusb-dev, libpci-dev,
 libakonadi-dev (>= 1.1.95), libboost1.53-dev,
 libgps-dev (>= 2.90),
 libck-connector-dev, libdbus-1-dev,
 libsensors4-dev [linux-any],
 libdevstat-dev [kfreebsd-any],
 libxkbfile-dev, libxrandr-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
 libxfixes-dev, libxft-dev, libxtst-dev, libxss-dev, libsm-dev, libxinerama-dev, libxi-dev,
 libpng12-dev (<< 1.5), libjpeg-dev, libxcursor-dev,
 libqalculate-dev, libglib2.0-dev,
 libqtwebkit-dev,
 libprison-dev,
 libxcb-composite0-dev, libxcb-damage0-dev, libxcb-xfixes0-dev, libxcb1-dev,
 libxcb-render0-dev, libxcb-randr0-dev, libxcb-shape0-dev, libxcb-xtest0-dev,
 libxcb-shm0-dev, libxcb-sync0-dev, libxcb-image0-dev, libxcb-icccm4-dev, 
 libxcb-render-util0-dev, libx11-xcb-dev, libxcb-keysyms1-dev, 
 libqjson-dev, libdlrestrictions-dev (>= 0.14),
 libgles2-mesa-dev, libwayland-dev, udev, libudev-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git

Package: kde-workspace
Architecture: all
Depends: kde-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}) | kde-window-manager-active (>= ${source:Version}),
 systemsettings (>= ${source:Version}),
 freespacenotifier (>= ${source:Version})
Recommends: lightdm-kde-greeter | kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
 kmenuedit (>= ${source:Version})
Breaks: kdebase-workspace (<< 4:4.7.2) 
Replaces: kdebase-workspace (<< 4:4.7.2) 
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
 kde-workspace-bin (<< 4:4:10.80), kde-workspace-data (<< 4:4.10.80)
Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kde-workspace-bin (<< 4:4.10.80), kde-workspace-data (<< 4:4.10.80)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
Recommends: kde-workspace
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
 kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus, kde-base-artwork
Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
 upower [linux-any]
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
 ktouchpadenabler, kde-window-manager-common (<< 4:4.10.80)
Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
 polkit-kde-1 (<< 0.99), ktouchpadenabler, kde-window-manager-common (<< 4:4.10.80)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-bin
Description: transitional package for kde-workspace-bin
 This is a dummy transitional package for kde-workspace-bin and can be safely
 removed after the installation is complete.

Package: kde-workspace-randr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: kde-workspace-bin (<< 4:4.10.1b-0ubuntu2)
Breaks: kde-workspace-bin (<< 4:4.10.1b-0ubuntu2)
Description: randr tools from kde-workspace
 Screen resize and rotate tools from KDE Workspace.

Package: kde-workspace-data
Architecture: all
Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80),
 kdm (<< 4:4.10.80)
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80),
 kdm (<< 4:4.10.80)
Suggests: kde-wallpapers
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-data-extras
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
 ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1
Breaks: ksmserver, ktip, ksplash, libplasma1
Description: transitional package for kde-workspace-data
 This package is safe to remove

Package: kde-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}, libx11-xcb-dev
Breaks: kdebase-workspace-dev (<< 4:4.7.2) 
Replaces: kdebase-workspace-dev (<< 4:4.7.2) 
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-dev
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Breaks: kde-workspace-bin (<< 4:4.10.80)
Replaces: kde-workspace-bin (<< 4:4.10.80)
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
 akonadi-server, kdepim-runtime
Breaks: kde-workspace-data (<< 4:4.10.80)
Replaces: kde-workspace-data (<< 4:4.10.80)
Provides: notification-daemon
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kde-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-ruby
Architecture: all
Depends: ruby-plasma, ${misc:Depends}
Description: Ruby script engine for Plasma
 This package provides the Ruby script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Ruby.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= 4:4.6.80), ${misc:Depends},
 python-qt4-dbus
Description: Python script engine for Plasma
 This package provides the Python script engine for Plasma. You have to install

## kde-workspace 4.11.5

=== debian/changelog ===
kde-workspace (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)
    - refresh kubuntu_kdewallpapers_install.diff 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:32:40 +0100

kde-workspace (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)
  * Refresh place_global_config_in_etc.diff 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:44:16 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.2), libkactivities-dev (>= 4:4.11.2),
- nepomuk-core-dev (>= 4:4.11.2),
+ kdepimlibs5-dev (>= 4:4.11.5), libkactivities-dev (>= 4:4.11.3),
+ nepomuk-core-dev (>= 4:4.11.5),
  libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,
@@ -46,8 +46,8 @@
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git

## kde-workspace 4.11.6

=== debian/changelog ===
kde-workspace (4:4.11.6-0ubuntu1~ubuntu12.04.4~ppa3+kxstudio1) precise; urgency=medium

  * Rebuild only

 -- falkTX <falktx@gmail.com>  Mon, 10 Mar 2014 23:05:20 +0000

kde-workspace (4:4.11.6-0ubuntu1~ubuntu12.04.4~ppa2+kxstudio1) precise; urgency=medium

  * Remove oxygen-gtk2 patch
  * Remove plasma-netbook for small screens patch
  * Remove hide default wallpaper patch
  * Set default activity as folderview
  * Set default wallpaper as KXStudio-Stripes
  * Set default wallpaper mode as scale&crop
  * Set kickoff icon as start-here-kxstudio
  * Fix scripting for left panel

 -- falkTX <falktx@gmail.com>  Fri, 21 Feb 2014 00:15:35 +0000

kde-workspace (4:4.11.6-0ubuntu1~ubuntu12.04.4~ppa2) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Feb 2014 12:45:18 +0100

kde-workspace (4:4.11.6-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release
  * Drop upstream_Make_powerdevil_use_logind_on_upstart_systems.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 18:28:23 +0100

kde-workspace (4:4.11.5-0ubuntu4) trusty; urgency=low

  * Drop kubuntu_netbook_favourites.diff, favorite setup is now done
    by kubuntu-settings. Also kubuntu-settings uses the correct kmail URI
    LP: #820491 

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 04 Feb 2014 11:31:40 +0100

kde-workspace (4:4.11.5-0ubuntu3) trusty; urgency=low

  * Build-depend on libxcb-sync-dev instead of libxcb-sync0-dev.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 15 Jan 2014 16:46:55 +0100

kde-workspace (4:4.11.5-0ubuntu2) trusty; urgency=low

  * No change rebuild against libxcb-sync1

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 15 Jan 2014 13:10:50 +0100

kde-workspace (4:4.11.5-0ubuntu1) trusty; urgency=medium

  * New upstream release 
    - refresh kubuntu_kdewallpapers_install.diff 
    - drop upstream_Fix-traceback-in-Python-runner-plugins.patch and
      upstream_Do-not-crash-when-failing-to-load-a-theme-but-instea.patch,
      fixed upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Jan 2014 10:16:29 +0100

kde-workspace (4:4.11.4-0ubuntu3) trusty; urgency=medium

  * Add upstream_Make_powerdevil_use_logind_on_upstart_systems.patch to support
    suspending using logind API's.

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 Jan 2014 12:54:39 +0100

kde-workspace (4:4.11.4-0ubuntu2) trusty; urgency=low

  * Fix typo in Replaces of plasma-desktop LP: #1263441
    (did not cause any issues because of correct Breaks)
  * Add kubuntu_kcm_display_add_kscreen.diff changing the default randr
    KCM used in the meta-KCM 'display' from krandr to kscreen (LP: #1251140)
  * Transit kubuntu_netbook_favourites.diff from rekonq to firefox
    LP: #1265897

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 07 Jan 2014 05:25:20 +0100

kde-workspace (4:4.11.4-0ubuntu1) trusty; urgency=low

  [ Harald Sitter ]
  * Add upstream_Fix-traceback-in-Python-runner-plugins.patch
    from upstream fixing annoying backtraces when having a python krunner
    plugin installed (LP: #1258088)

  [ Philip Muškovac ]
  * New upstream bugfix release
  * Bump kdm breaks/replaces on kde-workspace-data to << 4:4.11.4-0ubuntu1~

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 06 Dec 2013 10:21:29 +0100

kde-workspace (4:4.11.3-0ubuntu2) trusty; urgency=low

  [ Harald Sitter ]
  * Add upstream_Do-not-crash-when-failing-to-load-a-theme-but-instea.patch
    from upstream preventing a crash in ksplashqml when a theme could not
    be loaded (LP: #1196344)

  [ Rohan Garg ]
  * Add 40-kde-plasma.conf so that KDE Workspace integrates
    with lightdm (LP: #1257760)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Dec 2013 16:11:21 +0100

kde-workspace (4:4.11.3-0ubuntu1) trusty; urgency=low

  [ Harald Sitter ]
  * Use correct plymouth commands in kdm.upstart to make sure plymouth
    quits. LP: #1240376
  * And because we like to introduce regressions over and over and over
    and over and over again... here comes another regression fix:
    Move silly stripes.png wallpaper to kdm package (it is part of kdm and
    only used in kdm and we don't want nor need it in a default install).
    kdm replaces and breaks kde-workspace-data (<< 4:4.11.2-0ubuntu2~)
    - The next person to move it back will be in serious trouble.

  [ Philip Muškovac ]
  * New upstream bugfix release
  * Refresh place_global_config_in_etc.diff

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Nov 2013 01:55:10 +0100

kde-workspace (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.5), libkactivities-dev (>= 4:4.11.3),
- nepomuk-core-dev (>= 4:4.11.5),
+ kdepimlibs5-dev (>= 4:4.11.6), libkactivities-dev (>= 4:4.11.6),
+ nepomuk-core-dev (>= 4:4.11.6),
  libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,
@@ -26,7 +26,7 @@
  network-manager-dev (>= 0.9) [linux-any],
  libraw1394-dev [linux-any],
  libusb-dev, libpci-dev,
- libakonadi-dev (>= 1.1.95), libboost1.53-dev,
+ libakonadi-dev (>= 1.1.95), libboost1.48-dev,
  libgps-dev (>= 2.90),
  libck-connector-dev, libdbus-1-dev,
  libsensors4-dev [linux-any],
@@ -42,12 +42,12 @@
  libxcb-shm0-dev, libxcb-sync0-dev, libxcb-image0-dev, libxcb-icccm4-dev, 
  libxcb-render-util0-dev, libx11-xcb-dev, libxcb-keysyms1-dev, 
  libqjson-dev, libdlrestrictions-dev (>= 0.14),
- libgles2-mesa-dev, libwayland-dev, udev, libudev-dev
+ libgles2-mesa-dev, udev, libudev-dev
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git
 
@@ -57,7 +57,7 @@
  klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
  kde-window-manager (>= ${source:Version}) | kde-window-manager-active (>= ${source:Version}),
  systemsettings (>= ${source:Version}),
- freespacenotifier (>= ${source:Version})
+ freespacenotifier (>= ${source:Version}), kde-workspace-randr (>= ${source:Version})
 Recommends: lightdm-kde-greeter | kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
  kmenuedit (>= ${source:Version})
 Breaks: kdebase-workspace (<< 4:4.7.2) 
@@ -84,10 +84,11 @@
 Package: plasma-desktop
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
+ plasma-widgets-workspace (= ${binary:Version}), kxstudio-artwork-wallpaper,
+ plasma-widget-folderview
 Recommends: kde-workspace
 Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
- kde-workspace-bin (<< 4:4:10.80), kde-workspace-data (<< 4:4.10.80)
+ kde-workspace-bin (<< 4:4.10.80), kde-workspace-data (<< 4:4.10.80)
 Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
  kde-workspace-bin (<< 4:4.10.80), kde-workspace-data (<< 4:4.10.80)
@@ -103,7 +104,7 @@
 Package: plasma-netbook
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
+ plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default, kxstudio-artwork-wallpaper
 Recommends: kde-workspace
 Description: KDE Plasma workspace for netbook computers
  Provides the environment for running and managing applications and integrating
@@ -119,7 +120,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
  plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
  kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
- kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus, kde-base-artwork
+ kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus, kde-base-artwork, kde-workspace-randr
 Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
  upower [linux-any]
 Suggests: x11-xkb-utils, plasma-scriptengines
@@ -266,4 +267,3 @@
 Depends: ${python:Depends}, python-kde4 (>= 4:4.6.80), ${misc:Depends},
  python-qt4-dbus
 Description: Python script engine for Plasma
- This package provides the Python script engine for Plasma. You have to install
